Subject: Re: bug#40542: wip-hurm-vm build failure

From: Christopher Howard <[email-masked]>
Date: Mon, 13 Apr 2020 14:58:26 -0800

I'm having some trouble playing around with the VM, because a lot of
weird things are happening with keyboard input into the qemu window. It
seems like the meta keys (shift, ctrl, alt, super) are behaving in
strange ways, or that terminal state is getting corrupted somehow.
E.g., sometimes shift key stops working, or the cursors jumps up to the
middle of the screen, or text gets garbled. Not sure if has something
to do with the VM itself, or something in the default qemu settings, or
some weird qemu <-> gnome interactions. Here is my host system info:

christopher@eowyn ~$ neofetch 
 ..                             `.   christopher@eowyn 
 `--..```..`           `..```..--`   ----------------- 
   .-:///-:::.       `-:::///:-.     OS: Guix System
e5afc63bd9d89bc8f6c64d68e6 
      ````.:::`     `:::.````        Host: Vostro 230 00 
           -//:`    -::-             Kernel: 5.4.30-gnu 
            ://:   -::-              Uptime: 7 days, 4 hours, 9 mins 
            `///- .:::`              Packages: 55 (guix-system), 86
(guix-user) 
             -+++-:::.               Shell: bash 5.0.7 
              :+/:::-                Resolution: 1920x1200 
              `-....`                DE: GNOME 
                                     Theme: Adwaita [GTK2/3] 
                                     Icons: Adwaita [GTK2/3] 
                                     Terminal: .gnome-terminal 
                                     CPU: Intel Core 2 Duo E7500 (2) @
2.296GHz 
                                     GPU: Intel 4 Series Chipset 
                                     Memory: 3710MiB / 7929MiB 

-----Original Message-----
From: Ludovic Courtès <[email-masked]>
To: Christopher Howard <[email-masked]>
Cc: Jan Nieuwenhuizen <[email-masked]>, [email-masked]
Subject: Re: bug#40542: wip-hurm-vm build failure
Date: Mon, 13 Apr 2020 23:23:14 +0200

Hi,
Christopher Howard <[email-masked]> skribis:
> Okay, I was just about to report that I successfully built the VM
> usingcommit ef33718a5cc486dd34378e6a8fcfcbb920ff7a8a from wip-hurd-
> vm. TheVM started fine and I was able to run the guile shell and the
> ls shellcommand. Was going to try to install Emacs next.
> For screenshots, is there something equivalent to `cat
> /proc/version`to show running kernel version?

I think you can do something like:
  settrans -ca /proc /hurd/procfs  cat /proc/version
Or just “uname -a”.
Can’t wait to see the screenshot!  :-)
Note: I don’t think janneke has tried building anything as high in
thestack as Emacs, that sounds a bit ambitious for a start.
Ludo’.
-- 
Christopher Howard
Enterprise Solutions Manager
Alaska Satellite Internet
PO Box 70, Ester, AK 99725
3239 La Ree Way, Fairbanks, AK 99709
907.451.0088
1.888.396.5623
www.alaskasatelliteinternet.com